# -*- rpm-spec -*-
#

# Version options
%define kernel_base_version	2.6.12
%define kernel_extra_version	%nil
# Numeric extra version scheme developed by Alexander Bokovoy:
# 0.0.X -- preX
# 0.X.0 -- rcX
# 1.0.0 -- release
%define kernel_extra_version_numeric 1.0.0
%define krelease alt11

%define base_flavour	vs26
%define flavour		%base_flavour-smp

# Build options
# You can change compiler version by editing this line:
%define kgcc_version	3.4

# Enable/disable SGML docs formatting
%def_disable docs

# Fixes:
%add_patch_list kernel-fix-build
%add_patch_list kernel-fix-core
%add_patch_list kernel-fix-acpi
%add_patch_list kernel-fix-fs
%add_patch_list kernel-fix-net
#add_patch_list kernel-fix-drivers-atm
%add_patch_list kernel-fix-drivers-block
%add_patch_list kernel-fix-drivers-char
%add_patch_list kernel-fix-drivers-net
%add_patch_list kernel-fix-drivers-usb
#add_patch_list kernel-fix-drivers-i2c
%add_patch_list kernel-fix-drivers-ide
%add_patch_list kernel-fix-drivers-ieee1394
%add_patch_list kernel-fix-drivers-input
%add_patch_list kernel-fix-drivers-md
%add_patch_list kernel-fix-drivers-media
%add_patch_list kernel-fix-drivers-pci
%add_patch_list kernel-fix-drivers-sound
#add_patch_list kernel-fix-drivers-serial
%add_patch_list kernel-fix-drivers-scsi
#add_patch_list kernel-fix-drivers-parport
%add_patch_list kernel-fix-drivers-video
%add_patch_list kernel-fix-security
%add_patch_list kernel-fix-core-skbuff

# Features:

#add_patch_list kernel-feat-drivers-drm
%add_patch_list kernel-feat-drivers-video-splash
%add_patch_list kernel-feat-drivers-input
%add_patch_list kernel-feat-drivers-lirc
%add_patch_list kernel-feat-drivers-net-sk98lin
%add_patch_list kernel-feat-drivers-pktcdvd
%add_patch_list kernel-feat-fs-squashfs
%add_patch_list	kernel-feat-net-ppp-mppe
%add_patch_list	kernel-feat-evms-nodm



%add_patch_list kernel-feat-core-vserver

## Don't edit below this line ##################################

%define kversion	%kernel_base_version%kernel_extra_version
%define modules_dir	/lib/modules/%kversion-%flavour-%krelease

Name: kernel-image-%flavour
Version: %kversion
Release: %krelease

Summary: The Linux virtual server kernel
License: GPL
Group: System/Kernel and hardware
Url: http://www.kernel.org/
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%set_kernel_arches i586 x86_64

ExclusiveOS: Linux

BuildRequires: dev86 flex
BuildRequires: libdb4-devel
BuildRequires: gcc%kgcc_version
BuildRequires: kernel-source-%{kernel_base_version} = %{kernel_extra_version_numeric}
BuildRequires: kernel-build-tools >= 0.8, modutils >= 2.4.27-alt1
BuildRequires: %get_patch_list

%if_enabled docs
BuildRequires: xmlto transfig ghostscript
%endif

%if_enabled ccache
BuildRequires: ccache
%endif

%ifdef use_ccache
BuildRequires: ccache
%endif

Requires: bootloader-utils >= 0.3-alt1
Requires: modutils >= 2.4.27-alt1
Requires: mkinitrd >= 1:2.9.2-alt1
Requires: startup >= 0.8.3-alt1

Provides: kernel = %kversion

Provides: kernel-modules-drm-%flavour = %kversion
Provides: kernel-modules-drm-%kversion-%flavour-%krelease = %version-%release

Prereq: coreutils
Prereq: modutils >= 2.4.27
Prereq: mkinitrd >= 1:2.9.2-alt1

%description
This package contains the Linux virtual server kernel that is used to boot and run
your system. It contains few device drivers for specific hardware.
Most hardware is instead supported by modules loaded after booting.
Patches included:%format_patch_list

%package -n kernel-modules-oss-%flavour
Summary: OSS sound driver modules (obsolete)
Group: System/Kernel and hardware
Provides:  kernel-modules-oss-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-oss-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-oss-%kversion-%flavour-%krelease > %version-%release
Prereq: coreutils
Prereq: modutils
Prereq: %name = %version-%release
Requires(postun): %name = %version-%release

%description -n kernel-modules-oss-%flavour
This package contains OSS sound driver modules for the Linux kernel
package %name-%version-%release.

These drivers are declared obsolete by the kernel maintainers; ALSA
drivers should be used instead.  However, the older OSS drivers may be
still useful for some hardware, if the corresponding ALSA drivers do
not work well.

Install this package only if you really need it.



%package -n kernel-headers-%flavour
Summary: Header files for the Linux kernel
Group: System/Kernel and hardware
Requires: kernel-headers-common >= 1.1.5
Provides: kernel-headers

%description -n kernel-headers-%flavour
These are the C header files for the Linux kernel, which define
structures and constants that are needed when building most standard
programs under Linux, as well as to rebuild the kernel.
Patches included:%format_patch_list

%package -n kernel-headers-modules-%flavour
Summary: Headers and other files needed for build kernel modules
Group: System/Kernel and hardware
Requires: kernel-headers-%flavour = %version-%release
Requires: gcc%kgcc_version

%description -n kernel-headers-modules-%flavour
These are the C headers and other files from the Linux kernel source tree, which define
structures and constants that are needed when building kernel modules only. 
Don't use it for any purposes except building a kernel modules.

%package -n kernel-doc-%base_flavour
Summary: Linux kernel %kversion documentation
Group: System/Kernel and hardware

%description -n kernel-doc-%base_flavour
This package contains documentation files for ALT Linux kernel packages:
 * kernel-image-%base_flavour-up-%kversion-%krelease
 * kernel-image-%base_flavour-smp-%kversion-%krelease

%prep
%setup -cT -n kernel-image-%flavour-%kversion-%krelease
%__rm -rf kernel-source-%kernel_base_version
%__tar -jxf %kernel_src/kernel-source-%kernel_base_version.tar.bz2
%setup -D -T -n kernel-image-%flavour-%kversion-%krelease/kernel-source-%kernel_base_version

echo "patches = %_patch_list"

%apply_patches 2.6

# this file should be usable both with make and sh (for broken modules
# which do not use the kernel makefile system)
echo 'export GCC_VERSION=%kgcc_version' > gcc_version.inc

%__subst 's/EXTRAVERSION[[:space:]]*=.*/EXTRAVERSION = %kernel_extra_version-%flavour-%krelease/g' Makefile
%__subst 's/CC.*$(CROSS_COMPILE)gcc/CC         := $(shell echo $${GCC_USE_CCACHE:+ccache}) gcc-%kgcc_version/g' Makefile

# get rid of unwanted files resulting from patch fuzz
find . -name "*.orig" -delete -or -name "*~" -delete

%build
KernelVer=%kversion-%flavour-%krelease

echo "Building Kernel $KernelVer"

%make_build mrproper

%__cp -vf %{get_kernel_config %_target_cpu} .config

%make_build oldconfig
%make_build include/linux/version.h
%make_build bzImage
%make_build modules

echo "Kernel built $KernelVer"

%if_enabled docs
# psdocs, pdfdocs don't work yet
%make_build htmldocs
%endif

%install
KernelVer=%kversion-%flavour-%krelease

%__install -Dp -m644 System.map %buildroot/boot/System.map-$KernelVer
%__install -Dp -m644 arch/%base_arch/boot/bzImage %buildroot/boot/vmlinuz-$KernelVer
%__install -Dp -m644 .config %buildroot/boot/config-$KernelVer

%__make modules_install INSTALL_MOD_PATH=%buildroot

%__install -d %buildroot%_prefix/include/linux-%version-%flavour/include

pushd include
%__cp -a . %buildroot%_prefix/include/linux-%version-%flavour/include
popd

# remove asm-* include files for other architectures
pushd %buildroot%prefix/include/linux-%version-%flavour/include
for dir in asm-*; do
	[ "$dir" = "asm-generic" ] && continue
	[ "$dir" = "asm-%base_arch" ] && continue
	%__rm -rf -- "$dir"
done
popd

# drivers-headers install
%__install -d %buildroot%_prefix/src/linux-%version-%flavour/drivers/scsi
%__install -d %buildroot%_prefix/src/linux-%version-%flavour/drivers/net/wireless
%__install -d %buildroot%_prefix/src/linux-%version-%flavour/drivers/char/drm
%__cp -a drivers/scsi/{{scsi,hosts,scsi_typedefs}.h,scsi_module.c} \
	%buildroot%_prefix/src/linux-%version-%flavour/drivers/scsi/
%__cp -a drivers/net/wireless/ieee802_11.h \
	%buildroot%_prefix/src/linux-%version-%flavour/drivers/net/wireless/
%__cp -a drivers/char/drm/{drm,drm_os_linux,drmP}.h \
	%buildroot%_prefix/src/linux-%version-%flavour/drivers/char/drm/

%__install -d %buildroot%_prefix/src/linux-%version-%flavour
pushd %buildroot%_prefix/src/linux-%version-%flavour
%__ln_s -f ../../include/linux-%version-%flavour/include ./include
popd

# Install files required for building external modules (in addition to headers)
KbuildFiles="
	Makefile
	Module.symvers
	arch/%base_arch/Makefile

	scripts/pnmtologo
	scripts/mod/modpost
	scripts/mkversion
	scripts/mod/mk_elfconfig
	scripts/kconfig/conf
	scripts/mkcompile_h
	scripts/makelst
	scripts/Makefile.modpost
	scripts/Makefile.modinst
	scripts/Makefile.lib
	scripts/Makefile.clean
	scripts/Makefile.build
	scripts/Makefile
	scripts/kallsyms
	scripts/genksyms/genksyms
	scripts/basic/fixdep
	scripts/extract-ikconfig
	scripts/conmakehash
	scripts/checkversion.pl
	scripts/checkincludes.pl
	scripts/checkconfig.pl
	scripts/bin2c
	scripts/gcc-version.sh

	.config
	gcc_version.inc
"
for f in $KbuildFiles; do
	[ -x "$f" ] && mode=755 || mode=644
	%__install -Dp -m$mode "$f" \
		%buildroot%_prefix/src/linux-%version-%flavour/"$f"
done

%__rm -f %buildroot%modules_dir/{build,source}
%__ln_s %_prefix/src/linux-%version-%flavour %buildroot%modules_dir/build

# install documentation
%if_enabled docs
%__install -d %buildroot%_docdir/kernel-doc-%base_flavour-%version/
%__cp -a Documentation/* %buildroot%_docdir/kernel-doc-%base_flavour-%version/
%__install -d %buildroot%_docdir/kernel-doc-%base_flavour-%version/scsi/
for dir in aacraid; do
	%__install -d \
		%buildroot%_docdir/kernel-doc-%base_flavour-%version/scsi/$dir/
	%__cp -a drivers/scsi/$dir/README* \
		%buildroot%_docdir/kernel-doc-%base_flavour-%version/scsi/$dir/
done
find %buildroot%_docdir/kernel-doc-%base_flavour-%version/DocBook \
	-maxdepth 1 -type f -not -name '*.html' -delete
%endif # if_enabled docs

%post
%post_kernel_image %kversion-%flavour-%krelease

%preun
%preun_kernel_image %kversion-%flavour-%krelease

%post -n kernel-modules-oss-%flavour
%post_kernel_modules %kversion-%flavour-%krelease

%postun -n kernel-modules-oss-%flavour
%postun_kernel_modules %kversion-%flavour-%krelease

%post -n kernel-headers-%flavour
%post_kernel_headers %kversion-%flavour-%krelease

%postun -n kernel-headers-%flavour
%postun_kernel_headers %kversion-%flavour-%krelease

%files
/boot/vmlinuz-%kversion-%flavour-%krelease
/boot/System.map-%kversion-%flavour-%krelease
/boot/config-%kversion-%flavour-%krelease
%modules_dir
%exclude %modules_dir/build

# OSS drivers
%exclude %modules_dir/kernel/sound/oss
%ifarch %ix86
%exclude %modules_dir/kernel/drivers/media/radio/miropcm20.ko
%exclude %modules_dir/kernel/drivers/media/radio/miropcm20-rds.ko
%endif
%exclude %modules_dir/kernel/drivers/usb/class/audio.ko
%exclude %modules_dir/kernel/drivers/usb/class/usb-midi.ko

%files -n kernel-modules-oss-%flavour
%modules_dir/kernel/sound/oss
%ifarch %ix86
%modules_dir/kernel/drivers/media/radio/miropcm20.ko
%modules_dir/kernel/drivers/media/radio/miropcm20-rds.ko
%endif
%modules_dir/kernel/drivers/usb/class/audio.ko
%modules_dir/kernel/drivers/usb/class/usb-midi.ko

%files -n kernel-headers-%flavour
%_prefix/include/linux-%version-%flavour

%files -n kernel-headers-modules-%flavour
%_prefix/src/linux-%version-%flavour
%modules_dir/build

%if_enabled docs
%files -n kernel-doc-%base_flavour
%doc %_docdir/kernel-doc-%base_flavour-%version
%endif


%changelog
* Sun Jul 16 2006 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt11
- sync with std26-smp-2.6.12-alt11:
  - Updated kernel-fix-acpi:
    + processor: powernow-k8 crash workaround
  - Updated kernel-fix-core:
    + i386: move phys_proc_id/early intel workaround to correct function (fixes
      problems with dual core CPU misdetection)
    + fix zap_thread's ptrace related problems
    + firmware: fix bug in fw_realloc_buffer
    + speedstep-smi: fix incorrect clobbers on asm 
    + ipc: fix access to unmapped vmalloc area in grow_ary()
    + idr: fix missing locking leading to races
    + RLIMIT_CPU: fix handling of a zero limit
    + cpufreq: powernow-k8: update powernow-k8 driver to a more recent version
      corresponding approximately to kernel 2.6.16; adds support for new
      processor models, including Turion64 X2 (#9737)
    + cpufreq: fix several bugs in cpufreq support
    + hpet: blacklist MSI MS-1058
  - Updated kernel-fix-drivers-char:
    + agpgart: efficeon-agp: add missing memory mask
  - Updated kernel-fix-drivers-ide:
    + alim15x3: add ULi M1573 support
    + ide-io: increase timeout value to allow for slave wakeup
  - Updated kernel-fix-drivers-ieee1394:
    + ohci1394: fix broken suspend/resume
  - Updated kernel-fix-drivers-md:
    + dm: add missing bdput/thaw_bdev at removal
    + dm: free minor after unlink gendisk
  - Updated kernel-fix-drivers-net:
    + via-rhine: zero pad short packets on Rhine I ethernet cards
    + uli526x: backport uli526x driver from 2.6.16
  - Updated kernel-fix-drivers-pci:
    + pci-acpi: correctly allocate return buffers for _OSC calls
  - Updated kernel-fix-drivers-scsi:
    + dc395x: apply changes from recent kernels to fix SG list mapping (#9354)
  - Updated kernel-fix-drivers-usb:
    + option: fix array overrun
    + ohci-hcd: add reboot notifier (fixes poweroff problems on some machines)
  - Updated kernel-fix-fs:
    + ext2: fix readdir f_pos re-validation logic
    + fix sys_flock() race
    + smbfs: fix slab corruption in error path
    + tmpfs: time granularity fix for inode times going backwards
    + tmpfs: decrement i_nlink correctly in shmem_rmdir()
  - Updated kernel-fix-net:
    + netlink: fix bug in overrun handling
    + netfilter: ip_queue: fix wrong skb->len == nlmsg_len assumption
    + ensure device name passed to SO_BINDTODEVICE is NULL terminated
  - Updated kernel-fix-security:
    + CVE-2006-0039: netfilter: do_add_counters race, possible oops or info
      leak
    + CVE-2006-0554: xfs: ftruncate() bug could expose stale data
    + CVE-2006-0555: nfs: fix a potential panic in O_DIRECT
    + CVE-2006-1242: tcp: do not use id of global tcp_socket when sending RST
    + CVE-2006-1343: netfilter: fix small information leak in SO_ORIGINAL_DST
    + CVE-2006-1522: keys: fix oops when adding key to non-keyring
    + CVE-2006-1525: ipv4: ip_route_input panic fix
    + CVE-2006-1527: netfilter: sctp conntrack: fix infinite loop
    + CVE-2006-1857: sctp: validate the parameter length in HB-ACK chunk
    + CVE-2006-1858: sctp: respect the real chunk length when walking
      parameters
    + CVE-2006-1860: fs/locks.c: fix lease_init
    + CVE-2006-1863: cifs: don't allow backslash in a path component
    + CVE-2006-1864: smbfs chroot issue
    + CVE-2006-2071: shmat: stop mprotect from giving write permission to a
      readonly attachment
    + CVE-2006-2271: sctp: fix state table entries for chunks received in
      CLOSED state
    + CVE-2006-2272: sctp: fix panic when receiving fragmented SCTP control
      chunks
    + CVE-2006-2274: sctp: prevent possible infinite recursion with multiple
      bundled DATA
    + CVE-2006-2444: netfilter: snmp nat: fix memory corruption
    + CVE-2006-2445: run_posix_cpu_timers: remove a bogus BUG_ON()
    + CVE-2006-2934: netfilter: sctp: fix crash triggered by packet without
      chunks
    + CVE-2006-3085: netfilter: sctp: fix endless loop caused by 0 chunk length
    + CVE-2006-3626: fix local privilege escalation through /proc race
  - Modified configuration:
    + build new uli526x module

* Tue Feb 28 2006 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt10
- sync with std26-smp-2.6.12-alt10:
  - Updated kernel-fix-core:
    + handle HP laptop rebooting properly (#7380)
    + sysv shm: fix shmdt when segment size is not aligned
    + sys_signal: initialize ->sa_mask
    + do_sigaction: fix race in ->sa_mask manipulation
    + fix for time going twice as fast on ATI chipsets (first version, needs to
      be activated manually by the "disable_timer_pin_1" boot option)
    + fix for time going twice as fast on ATI chipsets (another version, ported
      from x86_64 fix by Andi Kleen; activated automatically when an ATI PCI
      bridge is found during ACPI init, or can be configured manually with
      "disable_8254_timer" and "enable_8254_timer" boot options)
  - Updated kernel-fix-drivers-input:
    + mousedev: fix memory leak
  - Updated kernel-fix-drivers-net:
    + ppp: fix hardware RX checksum handling
  - Updated kernel-fix-drivers-scsi:
    + ahci: add VIA VT8251 support
  - Updated kernel-fix-drivers-usb:
    + pl2303: make PL2303HX chip work correctly
    + pl2303: add ID for Nokia CA-42 USB cable
    + pl2303: add IDs for Siemens SX1 and x75 mobiles
    + pl2303: fix data length check in pl2303_update_line_status
    + pl2303: add ID for CA-42 clone cable
    + pl2303: add ID for Sagem mobile
    + pl2303: add ID for Leadtek GPS-Mouse 9531
    + usbserial: add spinlock, fix racy and buggy code checking URB status
    + usbserial: add NULL checks in tty operation to avoid oopses
    + usbserial: fix race between open() and close() which could lead to oopses
  - Updated kernel-fix-fs:
    + fix NFS inode leak when d_instantiate_unique finds aliased dentry
    + ext2: fix possible deadlock when deleting a file from a filesystem
      mounted with "sync" option
    + ramfs: update dir mtime and ctime
    + binfmt_elf: allow loading of ELF binaries without bss (#9051)
    + binfmt_elf: fix handling of ELF segments with zero filesize
  - Updated kernel-fix-security:
    + CVE-2005-3359: fix module reference counts for loadable protocol modules
    + CVE-2006-0095: dm-crypt: zero key before freeing it
    + seclvl: do not crash on settime() with a NULL timeval
    + fix keyctl usage of strnlen_user()

* Wed Feb 08 2006 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt9
- sync with std26-smp-2.6.12-alt9:
  - Updated kernel-fix-core:
    + remove racy BUG_ON() in de_thread()
    + fix crash when ptrace poking hugepage areas
  - Updated kernel-fix-drivers-block:
    + cciss: fix CCISS_BIG_PASSTHRU ioctl
  - Updated kernel-fix-drivers-char:
    + agpgart: fix serverworks TLB flush
  - Updated kernel-fix-drivers-ide:
    + ide-floppy: fix software eject with LS-120 drive
  - Updated kernel-fix-drivers-scsi:
    + dpt_i2o: fix a use-after-free bug
    + i2o_scsi: fix oops on command abort
  - Updated kernel-fix-fs:
    + ufs: inode->i_sem is not released in error path
    + ufs: fix oops on mount
  - Updated kernel-fix-net:
    + ipv4: fix reassembly trim not clearing CHECKSUM_HW
    + ipv6: fix per-socket multicast filtering in exact-match case
    + br: fix race on bridge del if
    + br: recompute features when adding a new device
    + ip_gre: fix hardware checksum modification
    + vlan: fix hardware rx csum errors
    + ebtables: don't match tcp/udp source/destination port for IP fragments
    + fix /sys/class/net/<if>/wireless without dev->get_wireless_stats
    + make second arg to skb_reserve() signed
  - Updated kernel-fix-security:
    + updated CVE-2005-3257 fix patch:
      - require CAP_SYS_TTY_CONFIG for KDSKBENT in addition to KDSKBSENT
      - allow normal users to read current settings
    + moxa: require CAP_SYS_RAWIO for firmware loading ioctls
    + CVE-2005-4605: insanity avoidance in /proc
    + CVE-2005-4618: sysctl: don't overflow the user-supplied buffer with '\0';
      make sure to terminate strings with a NUL
    + CVE-2005-3356: fix refcounting on failure exits in sys_mq_open()
    + CVE-2006-0454: icmp: fix extra dst release when ip_options_echo() fails

* Sun Nov 27 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt8
- sync with std26-smp-2.6.12-alt8:
  - Updated kernel-fix-core:
    + x86_64/i386: Compute correct MTRR mask on early Noconas
    + fix de_thread() vs send_group_sigqueue() race
    + fix signal->live leak in copy_process()
  - Updated kernel-fix-drivers-block:
    + pktcdvd: fix array overrun
  - Updated kernel-fix-drivers-char:
    + fix soft lockup with ALSA rtc-timer due to the wrong irq handling in
      rtc_control()
  - Updated kernel-fix-net:
    + netfilter: ip_conntrack TCP: Accept SYN+PUSH like SYN
  - Updated kernel-fix-security:
    + CVE-2005-3527: fix do_coredump() vs SIGSTOP race
    + CVE-2005-3055: fix signal sending in usbdevio on async URB completion
    + CVE-2005-3274: ipvs: fix race on ip_vs_conn_tab list modification
    + CVE-2005-2709: fix sysctl unregistration oops
    + prism54: fix information leak
    + fix memory leak with file leases
    + remove time_out_leases() printk that's easily triggered by users
    + fix ptrace self-attach rule
    + don't auto-reap traced children
    + fix signal sending in usbdevio on device disconnect
    + fix 32bit integer overflow in invalidate_inode_pages2()

* Sun Nov 06 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt7
- sync with std26-smp-2.6.12-alt7:
  - Updated kernel-fix-security:
    + require root privileges for loading key mappings (CAN-2005-3257)

* Tue Nov 01 2005 Anton Farygin <rider@altlinux.ru> 2.6.12-alt6
- sync with std26-smp-2.6.12-alt6
- updated vserver to 2.0

* Wed Aug 03 2005 Anton Farygin <rider@altlinux.ru> 2.6.12-alt3
- sync with std26-smp-2.6.12-alt3
- updated vserver to 2.0-rc9

* Fri Jul 08 2005 Anton Farygin <rider@altlinux.ru> 2.6.12-alt1
- sync with std26-smp-2.6.12-alt1
- updated vserver to 2.0-rc6

* Tue Feb 22 2005 Anton Farygin <rider@altlinux.ru> 2.6.10-alt3
- sync with std26-smp-2.6.10-alt3
- updated vserver to 1.9.4

* Sat Jan 08 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.10-alt2
- sync with std26-smp-2.6.10-alt2
  - Removed broken symlink /lib/modules/%%version-%%flavour-%%krelease/source.
  - Updated kernel-fix-security:
    + fix uselib() issue (CAN-2004-1235)
    + fix expand_stack issue (CAN-2005-0001)
    + fix integer signedness issues in moxa, random, scsi drivers
    + fix RLIMIT_MEMLOCK enforcement

* Thu Dec 30 2004 Anton Farygin <rider@altlinux.ru> 2.6.10-alt1
- sync with std26-smp-2.6.10-alt1

* Fri Oct 29 2004 Anton Farygin <rider@altlinux.ru> 2.6.9-alt11
- sync with std26-smp-2.6.9-alt11
- updated vserver to 1.9.3-rc5

* Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru> 2.6.9-alt10
- updated vserver patch for kernel 2.6.9
- sync with std26-smp-2.6.9-alt10

* Wed Aug 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2.6.8-alt9
- Added missing scripts/gcc-version.sh to kernel-headers-modules.
- Removed libkconfig.so shared library to avoid extra dependencies in packages.

* Mon Aug 16 2004 Anton Farygin <rider@altlinux.ru> 2.6.8-alt8
- 2.6.8
- added patch for fix typo in nfs code (2.6.8.1)
- updated acpi subsystem to last stable release (20040717)
- updated bootsplash

* Thu Aug 05 2004 Anton Farygin <rider@altlinux.ru> 2.6.7-alt8
- Updated kernel-fix-security:
    + fix ppos races (CAN-2004-0415)

* Thu Jun 17 2004 Anton Farygin <rider@altlinux.ru> 2.6.7-alt7
- 2.6.7
- updated bootsplash patch
- added kernel-fix-drivers-net:
  + 2.6_50_eql-check-null.patch: add NULL checks to the eql driver
  + 2.6_51_airo-proc-fix.patch: fix airo /proc write breakage
- added kernel-fix-drivers-usb:
  + 2.6_51_phidgetservo-fixes.patch: fix use of freed memory in PhidgetServo
    driver
  + 2.6_52_storage-jumpshot-fix.patch: fix size reporting in the Lexar Jumpshot
    CF driver; avoid "unneeded entry" message with some devices
- added kernel-fix-drivers-scsi:
  + 2.6_50_sata_sil-mod15write.patch: fix Seagate+SiI3112 mod15write bug
    workaround broken by the LBA48 optimizations

* Tue Jun 15 2004 Anton Farygin <rider@altlinux.ru> 2.6.6-alt6
- kernel-fix-security added:
  + 2.6_50_fpu-exception.patch: fix FPU exception handling DoS

* Fri May 21 2004 Anton Farygin <rider@altlinux.ru> 2.6.6-alt5
- updated to last kernel-fix-ide and kernel-fix-fs patches:
  + 2.6_55_reiserfs-i_size-race.patch: fix reiserfs inode size update race
    which could lead to file corruption
  + 2.6_52_no-suspend-on-reboot.patch: replaced with better fix (flush drive
    cache on reboot)
  + 2.6_51_dquot_release-oops.patch: fix dquot_release oops with quota_v1
  + 2.6_52_quota-recursion.patch: fixes quota recursion into filesystem
  + 2.6_53_quota-recursion-fix.patch: fix the recursion fix
  + 2.6_54_quota-v2-corruption.diff: fix possible quota_v2 files corruption
    when root did not have any inodes&space allocated
- added kernel-feat-pktcdvd

* Mon May 17 2004 Anton Farygin <rider@altlinux.ru> 2.6.6-alt4
- config tuning:
    CONFIG_BLK_DEV_ATIIXP=y
    CONFIG_IP_NF_MATCH_IPRANGE=m
    CONFIG_IP_NF_MATCH_PHYSDEV=m
    * disabled debug on i2c
    * enabled ebtables
    * disabled CONFIG_FONT_MINI_4x6
    * moved CONFIG_X86_MCE_NONFATAL to modules
    * disabled CONFIG_IDEDMA_IVB
- added kernel-fix-drivers-ide (Sergey Vlasov) with:
  + 2.6_50_wcache-fixes.patch: fix write cache handling problems:
    + fix drive->wcache setting
    + send CACHE FLUSH (EXT) only if the drive claims to support it
    + fix for Maxtor disks falsely claiming CACHE FLUSH EXT support
  + 2.6_51_system_state.patch: differentiate between halt/poweroff/reboot
  + 2.6_52_no-suspend-on-reboot.patch: avoid drive spindown on reboot
    
* Tue May 11 2004 Anton Farygin <rider@altlinux.ru> 2.6.6-alt3
- 2.6.6
- fixed depends (kernel-headers-modules)
- added kernel-fix-acpi with:
    fixes IRQ12 sharing
- Added kernel-feat-drivers-console-unicode by Ivan Zakharyaschev <imz@altlinux.ru>:
  fixes the imperfectness of Linux VT/console Unicode support 
  (involves a change of the kernel interface used by loadkeys, 
  but mainly is compatible with old loadkeys).

* Mon Apr 05 2004 Anton Farygin <rider@altlinux.ru> 2.6.5-alt1
- update to 2.6.5
- updated patches and config from std26-up-2.6.5-alt1 kernel

* Thu Mar 22 2004 Anton Farygin <rider@altlinux.ru> 2.6.4-alt4
- first build for Sisyphus, based on kernel-image-std26-up with changes:
    enabled CONFIG_HIGHMEM64G
    enabled CONFIG_X86_SMP (CONFIG_NR_CPUS=8)
    enabled CONFIG_X86_HT
    enabled CONFIG_IRQBALANCE
    enabled CONFIG_MPENTIUM4
    
